Skip to main content
GET
Get a knowledge proposal

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

Numeric account id; the authenticated caller must be a member.

id
integer
required

Proposal id, scoped through the URL account.

Response

Success

id
integer
required

Id.

status
enum<string>
required

Status.

Available options:
proposed,
approved,
rejected,
superseded,
revoked
question
string
required

Question.

answer
string
required

Answer.

confidence
enum<string>
required

Confidence.

Available options:
verified,
tentative
author_kind
enum<string>
required

Author kind.

Available options:
human,
agent
approved_at
string<date-time> | null
required

Approved at.

closed_at
string<date-time> | null
required

Closed at.

created_at
string<date-time>
required

Created at.

revision
integer
required

Revision.

rejection_reason
string | null
required

Rejection reason.

kind
enum<string>
required

Kind.

Available options:
add,
update,
retire,
expire
valid_from
string<date-time> | null
required

Valid from.

valid_until
string<date-time> | null
required

Valid until.

audience_verdict
enum<string> | null
required

Audience verdict.

Available options:
pass,
hold,
fail,
null
audience_verdict_reason
string | null
required

Audience verdict reason.

released_verdict
enum<string> | null
required

Released verdict.

Available options:
pass,
hold,
fail,
null
released_verdict_reason
string | null
required

Released verdict reason.

observation_count
integer
required

Observation count.

quality_reasons
any[]
required

Quality reasons.

urgency
enum<string>
required

Urgency.

Available options:
normal,
time_sensitive
sources
object[]
required

Sources.

Maximum array length: 20
author
object

Author.

source_conversation_id
integer

Source conversation id.

approved_by
object

Approved by.

rejection_suppressed_count
integer

Rejection suppressed count.

previously_rejected
object

Previously rejected.

embedding_state
string

Embedding state.